import java.awt.Rectangle;

/** Prova il metodo intersection */
public class IntersectRect  {
  public static void main(String argv[]) {
    Rectangle pippo = new Rectangle(2, 1, 2, 3);
    Rectangle pluto = new Rectangle(3, 3, 3, 4);
    System.out.println("Pippo: " + pippo);
    System.out.println("Pluto: " + pluto);
    // Pippo e pluto dovrebbero avere una intersezione
    Rectangle minnie = pippo.intersection(pluto);
    System.out.println("Minnie = " + minnie);
    // Sposto pluto verso destra di una unit di lunghezza
    pluto.translate(1, 0);
    // Ricalcolo l'intersezione: una linea!
    minnie = pluto.intersection(pippo);
    System.out.println("Minnie = " + minnie);
    // Sposto pluto verso il basso di 1
    pluto.translate(0, 1);
    // Ricalcolo l'intersezione: un punto!
    minnie = pluto.intersection(pippo);
    System.out.println("Minnie = " + minnie);
    // Sposto pluto verso il basso di 1
    pluto.translate(0, 1);
    // Ricalcolo l'intersezione: vuota!!!
    minnie = pluto.intersection(pippo);
    System.out.println("Minnie = " + minnie);
  }
}
