/** Versione Finale della classe Greeter
    */
public class FinalNameGreeter  {
  // Nome da salutare
  private String name;

  /** Inizializza il saluto al mondo intero */
  public FinalNameGreeter() {
    name = "World!";
  }

  /** Inizializza il nome da salutare 
      @param aname Il nome che verr&agrave; 
      salutato */
  public FinalNameGreeter(String aname) {
    name = aname;
  }

  /** Costruisce la frase di saluto 
    personalizzata
    @return la stringa contenente il saluto
    */
  public String sayHello() {
    String message = "Hello, " + name + "!";
    return message;
  }

  /** Cambia il nome da salutare.
    @param newName il nuovo nome
    */
  public void setName(String newName) {
    name = newName;
  }

  /** Permette di sapere qual &egrave; il
    nome che viene salutato attualmente
    @return la stringa col nome corrente
    */
  public String getName() {
    return name;
  }

  /** Formula una frase di commiato personalizzata */
  public String sayGoodbye() {
    return "Arrivederci, " + name + "!";
  }
  
  /** Formula una frase per un rifiuto */
  public String refuseHelp() {
    return "Sono spiacente, " + name + ", ma non posso proprio aiutarti";
  }
}
